/* Billboard.C: Billboard nodes (public source) */

#include "Billboard.H"
#include "renderer.H"

namespace xrml {

void Billboard::addChildren(const MFNode&)
{
  Warning(NULL, "Billboard::addChildren(): not yet implemented");
}

void Billboard::removeChildren(const MFNode&)
{
  Warning(NULL, "Billboard::removeChildren(): not yet implemented");
}

void Billboard::render(void)
{
  world->renderer->begin_Billboard(this);
  Grouping::render();
  world->renderer->end_Billboard(this);
}

}  // namespace xrml
